Reports

Get Account Report

get
/v1/accounts/{accountId}/reports

Retrieve a reportUrl by accountId, month, year, and report type. The reportUrl can be appended to the /files endpoint to access the report.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
accountIdstring · uuidRequired

The account ID

Query parameters
reportTypestring · enumRequired

The type of report

Possible values:
yearinteger · min: 2020 · max: 2099Required

The year of the report

monthinteger · min: 1 · max: 12Required

The month of the report (1-12)

Responses
chevron-right
200

Successful response with signed report URL

application/json
accountIdstring · uuidRequired

The account ID

monthinteger · min: 1 · max: 12Required

The month of the report

yearinteger · min: 2020 · max: 2099Required

The year of the report

reportTypestring · enumRequired

The type of statement report

Possible values:
reportUrlstring · uriRequired

Signed S3 URL for the report (valid for 5 minutes)

Example: reports/monthly-statement/2025/01/statement.pdf
get
/v1/accounts/{accountId}/reports

Last updated